#include<iostream>
using namespace std;
int main()
{
    int a, b;
    cin >> a >> b;
    for (int i = 0; i < a; i++) {
        int k;
        for (int j = 0; j < b; j++) {
            cin >> k;
        }
    }

    cout << 0;
}